package com.alibaba.druid.sql.dialect.mariadb.ast;

import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbUseIndexHint extends MariadbIndexHintImpl {
   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.getIndexList());
      }

      visitor.endVisit(this);
   }

   public MariadbUseIndexHint clone() {
      MariadbUseIndexHint x = new MariadbUseIndexHint();
      this.cloneTo(x);
      return x;
   }
}
